- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# BlisPresolve Class Reference

A interface to Osi/Coin Presolve. More...

`#include <BlisPresolve.h>`

Inheritance diagram for BlisPresolve:

[legend]
Collaboration diagram for BlisPresolve:

[legend]
List of all members.

## Public Member Functions
| BlisPresolve ()
| Default constructor (empty object).
virtual | ~BlisPresolve ()
| Virtual destructor.
virtual OsiSolverInterface * | preprocess (OsiSolverInterface &origModel, double feasibilityTolerance=0.0, bool keepIntegers=true, int numberPasses=5, const char *prohibited=NULL)
| Presolve.
virtual void | postprocess (bool updateStatus=true)
| Postsolve.
## Private Attributes
CoinPresolveMatrix * | preMatrix_
CoinPostsolveMatrix * | postMatrix_

## Detailed Description

A interface to Osi/Coin Presolve.

Definition at line 37 of file BlisPresolve.h.

## Constructor & Destructor Documentation

BlisPresolve::BlisPresolve | ( |  | ) | `[inline]`

Default constructor (empty object).

Definition at line 47 of file BlisPresolve.h.

virtual BlisPresolve::~BlisPresolve | ( |  | ) | `[inline, virtual]`

Virtual destructor.

Definition at line 52 of file BlisPresolve.h.

References postMatrix_, and preMatrix_.

## Member Function Documentation

virtual OsiSolverInterface* BlisPresolve::preprocess | ( | OsiSolverInterface & | origModel,
|  | double | feasibilityTolerance = `0.0`,
|  | bool | keepIntegers = `true`,
|  | int | numberPasses = `5`,
|  | const char * | prohibited = `NULL` |
| ) |  |  | `[virtual]`

Presolve.

virtual void BlisPresolve::postprocess | ( | bool | updateStatus = `true` | ) | `[virtual]`

Postsolve.

## Member Data Documentation

CoinPresolveMatrix* BlisPresolve::preMatrix_`[private]`

Definition at line 41 of file BlisPresolve.h.

Referenced by ~BlisPresolve().

CoinPostsolveMatrix* BlisPresolve::postMatrix_`[private]`

Definition at line 42 of file BlisPresolve.h.

Referenced by ~BlisPresolve().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Blis-0.91.0/Blis/src/BlisPresolve.h